> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reveal External Card Details

> > 🚧 Alpha
> 
> This is an Alpha spec-only endpoint. Feedback from the community is welcome. We may make breaking changes.

> 🚧 PCI Compliance 
> 
> This endpoint requires PCI compliance. If you are PCI compliant and want this endpoint enabled, please work with your Synctera representative.

Reveal external card details 




## OpenAPI

````yaml openapi-v1.json get /external_cards/{external_card_id}/reveal
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /external_cards/{external_card_id}/reveal:
    get:
      tags:
        - External Cards
      summary: Reveal External Card Details
      description: >
        > 🚧 Alpha

        > 

        > This is an Alpha spec-only endpoint. Feedback from the community is
        welcome. We may make breaking changes.


        > 🚧 PCI Compliance 

        > 

        > This endpoint requires PCI compliance. If you are PCI compliant and
        want this endpoint enabled, please work with your Synctera
        representative.


        Reveal external card details 
      operationId: revealExternalCardDetails
      parameters:
        - $ref: '#/components/parameters/external_card_id'
        - $ref: '#/components/parameters/idempotency_key'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/external_card_reveal_response'
          description: External Card details
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    external_card_id:
      description: The unique identifier of an external card
      in: path
      name: external_card_id
      required: true
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        format: uuid
        type: string
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    external_card_reveal_response:
      properties:
        ciphertext:
          description: |
            JWE compact serialization of the encrypted card data as defined in
             [RFC 7516 Section 7.1](https://datatracker.ietf.org/doc/html/rfc7516#section-7.1).

             Format: `header.encryptedKey.iv.ciphertext.authTag`

             All segments are base64url-encoded and concatenated with periods.

             - header: Contains algorithm information and key identifier
               - "alg": "ECDH-ES+A256KW" - Key management algorithm
               - "enc": "A256GCM" - Content encryption algorithm
               - "kid": base64url-encoded JWK thumbprint. The thumbprint is calculated using the JWK as per [RFC 7638](https://datatracker.ietf.org/doc/html/rfc7638#section-3.1) and is used to identify the public key used for encryption.

               The algorithm identifiers follow [RFC 7518](https://datatracker.ietf.org/doc/html/rfc7518)

             - encryptedKey: The content encryption key encrypted using ECDH-ES
             - iv: Initialization vector for AES-GCM
             - ciphertext: The actual encrypted data
             - authTag: Authentication tag for AES-GCM integrity verification

             When decrypted, the ciphertext contains a JSON object with the following structure:
             ```json
             {
               "pan": "5217866647558899",
               "expiration_year": "25",
               "expiration_month": "06"
             }
             ```
          example: >-
            eyJhbGciOiJFQ0RILUVTK0EyNTZLVyIsImVuYyI6IkEyNTZHQ00iLCJraWQiOiJyZWNpcGllbnQta2V5LWlkIn0.AAAAAAAAAA.qcT0jHQJp5MI.0mxQptHnLbmpYmVF-HPzwg.iH2aDMwuCefM_iBPxuBbJA
          type: string
      required:
        - ciphertext
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````